<div class="animated fadeInLoad">
<div class="col-md-12">
<div  id='div-inline2' class="box boxStyle2 infoBox">
<div class="padd10">

<?PHP 
echo "
<div class='font20 fwb tdu'>".$instInfo9."</div>
<div class='ph10'></div>
";

//***********************************************************************************
$targetedX1="./../configure/".$filename1."-data.inc.php";
define("DATA_FILE", $targetedX1);
extract($_POST);
$license=($_POST['license']);
$productid1=($_POST['productid1']);
$instepA=($_POST['instepA']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[license])<=0){@$_POST[license]="";}
if (strlen(@$_POST[productid1])<=0){@$_POST[productid1]="";}
if (strlen(@$_POST[instepA])<=0){@$_POST[instepA]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='install-assist-step4.php'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/license=(.+?);/';
$patterns[1]='/productid1=(.+?);/';
$patterns[2]='/instepA=(.+?);/';

@$replacements[0]=sprintf("license=%s%s%s;",$t,$_POST[license],$t);
@$replacements[1]=sprintf("productid1=%s%s%s;",$t,$_POST[productid1],$t);
@$replacements[2]=sprintf("instepA=%s%s%s;",$t,$_POST[instepA],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}
//***********************************************************************************
$targetedX2="./../configure/configadmin-a.inc.php";
define("DATA_FILE2", $targetedX2);
extract($_POST);
$productid=($_POST['productid']);
$sysmail=($_POST['sysmail']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[productid])<=0){@$_POST[productid]="";}
if (strlen(@$_POST[sysmail])<=0){@$_POST[sysmail]="";}
$Message=SaveData2();}
else{
return ($tag);
}

function SaveData2(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE2);
$t=chr(34);

$patterns[0]='/productid=(.+?);/';
$patterns[1]='/sysmail=(.+?);/';

@$replacements[0]=sprintf("productid=%s%s%s;",$t,$_POST[productid],$t);
@$replacements[1]=sprintf("sysmail=%s%s%s;",$t,$_POST[sysmail],$t);

if ($fp=fopen(DATA_FILE2,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}
//***********************************************************************************
extract($_POST);
$instepA=($_POST['instepA']);
$productid1=($_POST['productid1']);
$license=($_POST['license']);

include("./../configure/contact-advice.inc.php");
include("./../configure/license.inc.php");

$sitecheck=$regLink1."/register/license2.php?A1=$productid1&A2=$license&A3=$serial&A4=$wssiteW&A5=$wssiteL&B1=$company&B2=$firstname&B3=$lastname&B4=$street&B5=$plz&B6=$city&B7=$land&B8=$emailL&C1=$agNo&C2=$paID";
$sitecheck=trim($sitecheck);
$sitecheck=str_replace(" ","%20",$sitecheck);
$fopen=@fopen($sitecheck,"r");
if($fopen){
$file=file($sitecheck);
foreach($file as $text){
}
}
//***********************************************************************************
$fileXds=md5($filename1);
$fileXdu=md5($_SERVER["HTTP_HOST"]);
$saveIx="./../".$SYSI."/files/".$fileXds.".inc.php";
$handle=fopen($saveIx, "w");
fwrite($handle,$fileXdu);
fclose($handle);
$oldumask = umask(0);
chmod($saveIx, 0644);
umask($oldumask);
//***********************************************************************************
echo "
<form action='starting.php' name='Form' method='post'>
<div class='clearX ph20'></div>
<div class=''><button type='submit' id='save' name='save' class='btn form-btn1'><i class='fa fa-arrow-circle-right'></i> ".$instInfo12."</button></div>
<div class='clearX ph10'></div>
</form>
";
?>

</div><!-- ./Box -->
</div><!-- ./Box -->
</div><!-- col-12 -->
</div><!-- End animated -->
<div class="clearX"></div>
